using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.TenantModels.MongoDBModel
{
    public class AttendanceDetails
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();
        public string? Name { get; set; }

        [BsonRepresentation(BsonType.String)]
        public List<Guid> FeatureId { get; set; } = new List<Guid>();
        public bool Enabled { get; set; } = false;
        public bool ManualEntry { get; set; } = true;
        public bool LocationTracking { get; set; } = true;
        public bool ShiftManagement { get; set; } = false;
    }
}